Lintian Fixes - gupnp-dlna

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/gupnp-dlna lintian-fixes

Summary

Diff

=== removed file 'debian/compat'
--- a/debian/compat	2018-12-26 11:34:46 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-11

=== modified file 'debian/control'
--- a/debian/control	2018-12-26 11:34:46 +0000
+++ b/debian/control	2020-05-28 07:35:58 +0000
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                libxml2-dev,
                libxml2-utils,
@@ -18,13 +18,12 @@
                gtk-doc-tools,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-dlna
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-dlna.git
 Homepage: http://www.gupnp.org
 
 Package: libgupnp-dlna-2.0-3
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: DLNA utility library for GUPnP

=== modified file 'debian/control.in'
--- a/debian/control.in	2018-12-26 11:34:46 +0000
+++ b/debian/control.in	2020-05-28 07:35:58 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: @GNOME_TEAM@
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                libxml2-dev,
                libxml2-utils,
@@ -14,13 +14,12 @@
                gtk-doc-tools,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-dlna
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-dlna.git
 Homepage: http://www.gupnp.org
 
 Package: libgupnp-dlna-2.0-3
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: DLNA utility library for GUPnP

=== modified file 'debian/rules'
--- a/debian/rules	2018-12-26 11:34:46 +0000
+++ b/debian/rules	2020-02-04 23:09:52 +0000
@@ -16,9 +16,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgupnp-dlna-2.0-dbg (<< 0.10.5-2~)'
-
 override_dh_install:
 	# rename gupnp-dlna-*-2.0 binaries to not have the -2.0 postfix
 	for program in debian/tmp/usr/bin/gupnp-dlna-*-2.0 ; do \

=== added directory 'debian/upstream'
=== added file 'debian/upstream/metadata'
--- a/debian/upstream/metadata	1970-01-01 00:00:00 +0000
+++ b/debian/upstream/metadata	2020-02-04 23:09:24 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://gitlab.gnome.org/GNOME/gupnp-dlna/issues
+Bug-Submit: https://gitlab.gnome.org/GNOME/gupnp-dlna/issues/new
+Repository: https://gitlab.gnome.org/GNOME/gupnp-dlna.git
+Repository-Browse: https://gitlab.gnome.org/GNOME/gupnp-dlna

Run locally

Try this locally (using the lintian-brush package):

debcheckout gupnp-dlna
cd gupnp-dlna
lintian-brush --no-update-changelog

More details

Full run details